GearmanTask::returnCode
GearmanTask::sendWorkload
GearmanTask
PHP Manual

# GearmanTask::sendData

(PECL gearman <= 0.5.0)

GearmanTask::sendData — Send data for a task (deprecated)

### Description

public int GearmanTask::sendData ( string `$data` )

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`data`

  Data to send to the worker.

### Return Values

The length of data sent, or `FALSE` if the send failed.

### See Also

- GearmanTask::recvData() - Read work or result data into a buffer for a task

GearmanTask::returnCode
GearmanTask::sendWorkload
GearmanTask
PHP Manual